Skip to main content
GET
/
ai
/
messages
/
{uuid}
Get message
curl --request GET \
  --url https://api.getcargo.io/v1/ai/messages/{uuid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getcargo.io/v1/ai/messages/{uuid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getcargo.io/v1/ai/messages/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": {
    "uuid": "<string>",
    "workspaceUuid": "<string>",
    "agentUuid": "<string>",
    "releaseUuid": "<string>",
    "chatUuid": "<string>",
    "userUuid": "<string>",
    "errorMessage": "<string>",
    "parts": [
      "<unknown>"
    ],
    "actions": [
      {
        "name": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "isBulkAllowed": true,
        "config": {},
        "kind": "<string>",
        "toolUuid": "<string>",
        "templateSlug": "<string>",
        "waitUntilFinished": true
      }
    ],
    "resources": [
      {
        "kind": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "integrationSlug": "<string>",
        "modelUuid": "<string>",
        "filter": {
          "groups": [
            "<unknown>"
          ]
        },
        "selectedColumnSlugs": [
          "<string>"
        ],
        "limit": 123,
        "prompt": "<string>",
        "isReadOnly": true
      }
    ],
    "capabilities": [
      {
        "slug": "<string>",
        "config": {}
      }
    ],
    "mcpClients": [
      {
        "kind": "<string>",
        "name": "<string>",
        "url": "<string>",
        "authentication": {
          "issuedAt": "<string>",
          "accessToken": "<string>",
          "expiresIn": 123,
          "refreshToken": "<string>",
          "scope": "<string>",
          "tokenType": "<string>",
          "clientId": "<string>",
          "clientSecret": "<string>"
        },
        "disabledToolSlugs": [
          "<string>"
        ]
      }
    ],
    "systemPrompt": "<string>",
    "withReasoning": true,
    "temperature": 123,
    "maxSteps": 123,
    "integrationSlug": "<string>",
    "connectorUuid": "<string>",
    "languageModelSlug": "<string>",
    "evaluatedTools": {},
    "usage": {
      "tokensUsedCount": 123,
      "creditsUsedCount": 123,
      "languageModelSlug": "<string>",
      "connectorUuid": "<string>"
    },
    "output": "<unknown>",
    "meta": {},
    "suggestedActions": [
      {
        "text": "<string>",
        "actions": [
          {
            "slug": "<string>"
          }
        ]
      }
    ],
    "temporalWorkflowId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "finishedAt": "<string>",
    "deletedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uuid
string<uuid>
required

Message identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

message
Message · object
required

Message details.